%define fversion 0.36.1

Summary: X-Mame Arcade Game Emulator
Name: xmame
Version: 0.36.1
Release: 2mdk
Source: http://x.mame.net/download/%{name}-%{fversion}.tar.bz2
Source1: http://cheat.retrogames.com/cheat.zip
Source2: http://www.mameworld.net/mametesters/mameinfo.dat
Source3: http://www.snipercade.com/cubeman/history.zip
Patch10: xmame-makefile.patch.bz2
Patch11: xmame-xmamerc.patch.bz2
Patch12: xmame-mamex.patch.bz2
Copyright: Distributable
URL: http://x.mame.net/
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: nasm, svgalib-devel, Mesa-devel, SDL-devel, esound-devel

%description
X-Mame the UNIX/X11 port of Mame project.
It makes Mame arcade emulator available on *ix machines using the
X11R6 X-Window system (and Linux ones using SVGAlib too).

Mame is a virtual machine emulator: it includes a Z80, 6502, 68000 and
lastly I86 uP emulators, joined to several arcade machine hardware
emulators. Each arcade emulator contains a full description about
hardware, mem maps, video, sounds and so, making possible that if
you have original ROM images of a supported arcade game, you can
play the game.

%package -n xmess
Summary: X-Mess Multi Emulator Super System
Group: Emulators
URL: http://mess.emuverse.com
Requires: xmame

%description -n xmess
MESS is a free emulator which emulates a large variety of
different systems. As of v0.36b15, it supports the
following:

 - AdventureVision 
 - Amiga (NTSC) 
 - Amstrad CPC (464, 664, 6128) 
 - Apple I 
 - Apple II (6 varieties) 
 - Atari 5200 
 - Atari 7800 
 - Atari 800 
 - Bally Astrocade 
 - EACA Colour Genie 2000 
 - Coco 3 
 - Colecovision 
 - Color Computer 
 - Commodore 16 
 - Commodore 64 
 - Commodore Max 
 - Commodore Plus/4 
 - Commodore Vic 20 
 - CP400 
 - Dragon 32 
 - Enterprise 128K 
 - IBM PC/XT 
 - Jupiter Ace 
 - Kaypro 2x 
 - KC Compact 
 - KC85/4 
 - KIM-1 
 - Laser (110, 200, 210, 310, 350, 500, 700, TX8000) 
 - MicroBee 
 - MSX 
 - Nintendo Entertainment System 
 - Nintendo Gameboy 
 - Oric 1/Oric Atmos 
 - PC Engine 
 - PDP1 (SpaceWar!) 
 - Sega Game Gear 
 - Sega Master System 
 - Sega Megadrive/Genesis  - TI99/4A Home Computer 
 - Tandy 1000TX 
 - TRS-80 Model 1 
 - Vectrex 
 - VZ200/VZ300 
 - ZX Spectrum 48K 
 - ZX80/81 

%prep
%setup -q -n %{name}-%{fversion}
%patch10 -p1 -b .make
%patch11 -p1 -b .xmamerc
%patch12 -p1

%build
#
# xmame
unzip %{SOURCE1} -d./doc
cp %{SOURCE2} ./doc
unzip %{SOURCE3} -d./doc
mv doc/HISTORY.DAT doc/history.dat
perl -pi -e 's/\r//' ./doc/cheat.dat ./doc/history.dat ./doc/mameinfo.dat

%ifarch i386 i486 i586 i686 k6 k7
make -f makefile.unix NAME=xmame \
	ARCH=linux MY_CPU=i386 \
	OPTIMIZE_FLAGS="$RPM_OPT_FLAGS -fstrict-aliasing" \
	DISPLAY_METHOD=x11 \
	DGA=-DUSE_DGA DGALIBS="-lXxf86dga -lXxf86vm" \
	X86_ASM_68K=1 \
	JSI386=-DI386_JOYSTICK
for i in xgl SDL svgalib; do
	make -f makefile.unix NAME=xmame \
		ARCH=linux \
		OPTIMIZE_FLAGS="$RPM_OPT_FLAGS -fstrict-aliasing" \
		DISPLAY_METHOD=$i \
		X86_ASM_68K=1 \
        	JSI386=-DI386_JOYSTICK
done
%else
for i in x11 xgl SDL; do
	make -f makefile.unix NAME=xmame \
		ARCH=linux \
		OPTIMIZE_FLAGS="$RPM_OPT_FLAGS -fstrict-aliasing" \
		DISPLAY_METHOD=$i
done
%endif
#
#xmess
%ifarch i386 i486 i586 i686 k6 k7
make -f makefile.unix \
	ARCH=linux MY_CPU=i386 NAME=xmess \
	OPTIMIZE_FLAGS="$RPM_OPT_FLAGS -fstrict-aliasing" \
	DISPLAY_METHOD=x11 \
	DGA=-DUSE_DGA DGALIBS="-lXxf86dga -lXxf86vm" \
	X86_ASM_68K=1 \
	JSI386=-DI386_JOYSTICK \
%else
make -f makefile.unix NAME=xmess \
	ARCH=linux \
	OPTIMIZE_FLAGS="$RPM_OPT_FLAGS -fstrict-aliasing" \
	DISPLAY_METHOD=x11
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/{lib/games/xmame/roms,bin,man/man6}}
#
# xmame
%ifarch i386 i486 i586 i686 k6 k7
make -f makefile.unix DISPLAY_METHOD=svgalib \
		XMAMEROOT=$RPM_BUILD_ROOT/usr/lib/games/xmame \
		DESTDIR=$RPM_BUILD_ROOT/usr/bin \
		MANDIR=$RPM_BUILD_ROOT/usr/man/man6 \
		install
%endif
for i in x11 xgl SDL; do
	make -f makefile.unix DISPLAY_METHOD=$i \
		XMAMEROOT=$RPM_BUILD_ROOT/usr/lib/games/xmame \
		DESTDIR=$RPM_BUILD_ROOT/usr/bin \
		MANDIR=$RPM_BUILD_ROOT/usr/man/man6 \
		install
done
install -m 644 doc/xmamerc.dist $RPM_BUILD_ROOT/usr/lib/games/xmame/xmamerc
install -m 644 doc/cheat.dat $RPM_BUILD_ROOT/usr/lib/games/xmame/cheat.dat
install -m 644 doc/history.dat $RPM_BUILD_ROOT/usr/lib/games/xmame/history.dat
install -m 644 doc/mameinfo.dat $RPM_BUILD_ROOT/usr/lib/games/xmame/mameinfo.dat
rm -f doc/{cheat.dat,history.dat,mameinfo.dat}
ln -sf xmame.x11 $RPM_BUILD_ROOT/usr/bin/xmame
install contrib/frontends/mamex.new $RPM_BUILD_ROOT/usr/bin/mamex
#
# xmess
make -f makefile.unix DISPLAY_METHOD=x11 NAME=xmess \
	XMAMEROOT=$RPM_BUILD_ROOT/usr/lib/games/xmame \
	DESTDIR=$RPM_BUILD_ROOT/usr/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/man/man6 \
	doinstall   	
ln -sf xmess.x11 $RPM_BUILD_ROOT/usr/bin/xmess

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc contrib doc/*
/usr/bin/xmame
%attr(2111,root,games) /usr/bin/mamex
%attr(2111,root,games) /usr/bin/xmame.x11
%attr(2111,root,games) /usr/bin/xmame.xgl
%attr(2111,root,games) /usr/bin/xmame.SDL
%ifarch i386 i586 i686 k6 k7
%attr(2111,root,games) /usr/bin/xmame.svgalib
%endif
%dir /usr/lib/games/xmame
/usr/lib/games/xmame/cab
/usr/lib/games/xmame/roms
/usr/lib/games/xmame/cheat.dat
/usr/lib/games/xmame/history.dat
/usr/lib/games/xmame/mameinfo.dat
%config /usr/lib/games/xmame/xmamerc
%attr(-,root,man) /usr/man/man6/*

%files -n xmess
%defattr(-,root,root)
/usr/bin/xmess
%attr(2111,root,games) /usr/bin/xmess.x11

%changelog
* Wed May 04 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.36.1-2mdk
- updated URL.
- added history.dat
- removed esound support (doesn'w worked)
- fixed optimization flags causing seg faults.
- removed bzip2 man pages (now handled by spec_helper).

* Wed Apr 19 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.36.1-1mdk
- fixed group
- updated version
- added new cheat.dat

* Thu Mar 16 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
  [0.36rc1.1-1mdk]
- updated to newer version.
- added SDL binaries.

* Fri Feb 18 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
  [0.36b15.2-3mdk]
- fixed %doc dir in spec file.

* Mon Feb 07 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.36b15.2-2mdk]
- added xmess.

* Fri Feb 04 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.36b15.2-1mdk]
- updated to new version.
- cleaned the SPEC file.

* Sat Jul 24 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.35.3-1mdk]
- mandrake adaptions
- removed suid.
- added and fixed mamex script from contrib.

* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [0.35b12.1-1]
- added history.dat to %doc section
- network support currently broken, so xmame is compiled without it

* Wed Feb 03 1999 Arne Coucheron <arneco@online.no>
  [0.35b2.1-1]
- removed changes in xmamerc regarding joystick support, fixed in sources

* Tue Jan 12 1999 Arne Coucheron <arneco@online.no>
  [0.35b1.1-1]

* Sat Jan 09 1999 Arne Coucheron <arneco@online.no>
  [0.34.2-1]
- changed xmamerc regarding joystick support

* Tue Jan 05 1999 Arne Coucheron <arneco@online.no>
  [0.34.1-1]
- those getting the : undefined symbol: __deregister_frame_info
  error message when running xmame, need to either rebuild it from the src.rpm
  or upgrade to the XFree86 v3.3.3 rpm package provided by Red Hat

* Sun Dec 20 1998 Arne Coucheron <arneco@online.no>
  [0.34rc1.1-1]

* Sat Dec 12 1998 Arne Coucheron <arneco@online.no>
  [0.34b8.1-1]
- the DGA and X11 version are now built into the same binary
- changed Source and URL tag

* Sun Nov 15 1998 Arne Coucheron <arneco@online.no>
  [0.34b7.1-1]
- no changes in spec file

* Tue Nov 10 1998 Arne Coucheron <arneco@online.no>
  [0.34b6.1-1]
- added URL: tag
- added compiling of multiplayer support for all display targets

* Thu Oct 22 1998 Arne Coucheron <arneco@online.no>
  [0.34b5.2-1]
- compiling with multiplayer support
- compiling and installing the OpenGL version
- installing CHEAT.DAT
- using assembler 68k engine during compile

* Mon Oct 19 1998 Arne Coucheron <arneco@online.no>
  [0.34b3.1-1]
- using %%{name} and %%{version} macros
- using %defattr
- using OPTFLAGS="$RPM_OPT_FLAGS" for optimization
- added -q parameter to %setup
- dropped i386.makefile patch, implemented it in spec file instead
- to comply better with Red Hat standard, moved rom directory to
  /usr/lib/games/xmame and highscore directory to /var/lib/games/xmame
- various cleanups in spec file

* Mon Aug 24 1998 Jeff Breidenbach <jeff@jab.org>
- RPM builds on linux for alpha,powerpc,i386 (only i386 tested)
- added xmame.svga, xmame.xf86_dga when appropriate
- redid patches to reflect new changes in makefile

* Sun Aug 23 1998 Jeff Breidenbach <jeff@jab.org>
- enabled i386 assembly code when appropriate

* Sat Aug 1 1998 Jeff Breidenbach <jeff@jab.org>
- separated i386 portion of makefile patch into separate file
  so that it might be reasonable to build this rpm on
  a non-i386 linux box. (untested)
- minor tweaks to spec file and i386 patch.
- updated version of xmame.

* Wed Jun 10 1998 Jeremy Hansen <jeremy@xxedgexx.com>
- Made changes to the spec file mainly in the document
  structure.
- Made changes to the xmamerc patch.  Enabled sound if
  available.

* Tue Jun 9 1998 Jeremy Hansen <jeremy@xxedgexx.com>
- Made some rpm fixes.
- Fixed xmamerc.

* Mon Jun 8 1998 Jeremy Hansen <jeremy@xxedgexx.com>
- built and tested package.
- Relocated xmamerc, high scores, and roms directory into
  /usr/lib/xmame.  All roms rpm I make will install into
  /usr/lib/xmame/roms.
